<?php
ob_end_clean();
include ("../includes/common.php");
mysqli_query($conn,"set names 'utf8'");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
//___________________________________

$qr= $_GET["qr"];//qr code
$sqlnew="SELECT * FROM plessi WHERE qr_in='$qr' OR qr_out='$qr' OR str_in='$qr' OR str_out='$qr' ";
$risnew=mysqli_query($conn,$sqlnew) or die ('Impossibile selezionare il database');
$riganew=mysqli_fetch_array($risnew);
if($qr==$riganew["qr_in"]){
    $tipo='qr_in';
    $modo='INGRESSO';
}
else if ($qr==$riganew["qr_out"]){
        $tipo='qr_out';
    $modo='USCITA';
    }
    else if ($qr==$riganew["str_in"]){
        $tipo='str_in';
        $modo='INIZIO RECUPERO/STRAORDINARIO';
    }
    else{
        $tipo='str_out';
        $modo='FINE RECUPERO/STRAORDINARIO';
    }
$data = "data_".$tipo;
$data_qr = ch_date_format1($riganew[$data]);
$qr_img = 'qrcode/'.$riganew[$tipo].'.png';
$plesso = $riganew["nome"];




$pdf=new PDF('P','mm','A4');
// metadati


$pdf->AliasNbPages();
$pdf->AddPage();

 // Logo
 

$sqlb="SELECT * FROM generalinfo";

$risb=mysqli_query($conn,$sqlb);
$rowb=mysqli_num_rows($risb);
$recb=mysqli_fetch_array($risb);
$nome_scuola=trim($recb["nome_scuola"]);
$intestazione=trim($recb["intestazione"]);
$imgintestazione1=trim($recb["imgintestazione1"]);
$imgintestazione2=trim($recb["imgintestazione2"]);
$imgintestazione3=trim($recb["imgintestazione3"]);
$city=trim($recb["city"]);

if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") 
{$pdf->Image($imgintestazione1,95,15,20,20);
$pdf->SetXY(10,40);
$pdf->WriteHTMLinte($intestazione);}

if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
{ $pdf->Image($imgintestazione1,15,15,20,20);
  $pdf->Image($imgintestazione2,170,15,20,20);
  $pdf->SetXY(10,15);
  $pdf->WriteHTMLinte($intestazione);
  //$pdf->MultiCell(100, 20, $intestazione);
 
 } 
 if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
{ $pdf->Image($imgintestazione1,15,15,20,20);
  $pdf->Image($imgintestazione2,95,15,20,20);
  $pdf->Image($imgintestazione3,170,15,20,20);
  $pdf->SetXY(10,40);
  $pdf->WriteHTMLinte($intestazione);
 } 
    
    // Arial bold 15
    $pdf->SetFont('Arial','',9);
$w=277;
$h=8;
//$pdf->ln(15);

$pdf->SetFont('Times','B',20);
$pdf->Ln(10);

$pdf->Cell(0,10,$plesso,0,1,'C');

$pdf->Cell(0,10,$modo,0,1,'C');

$pdf->Image($qr_img,55,120,100,100);
$pdf->SetXY(100, 250);
$pdf->SetFont('Times','',10);
$titolo='Data del QRcode: '.$data_qr;
$pdf->Cell(80,10,$titolo,0,1,'L');

$pdf->Output();
?>